apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

resources:
  # Storage infrastructure
  - minio/minio-deployment.yaml
  - minio/minio-pvc.yaml
  - minio/minio-secrets.yaml
  - minio/minio-bucket-init-job.yaml
  - minio/secrets/minio-tls-secret.yaml
  
  # Cache infrastructure
  - redis/redis.yaml
  - redis/secrets/redis-tls-secret.yaml
  
  # Database infrastructure
  - postgres/secrets/postgres-tls-secret.yaml
  - postgres/configs/postgres-logging-config.yaml
  - postgres/configs/postgres-init-config.yaml
